> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/jp/hajimeni/kaihatsusha-toolbox.md).

# 開発者ツールボックス

Mainnet および Spicy Testnet の RPC パラメータ、無料の CHZ testnet faucet、コントラクトのデプロイと verify のガイド、そして Docker による node 起動コマンド。

## Mainnet および Testnet への接続

Chiliz Chain は、本番プロジェクト向けの Mainnet を提供しており、テスト目的のための Testnet も用意されています。Chiliz の Testnet は Spicy Testnet と呼ばれます。

{% tabs %}
{% tab title="Chiliz Chain Mainnet" %}

<table><thead><tr><th width="253">Parameter</th><th width="346">Value</th></tr></thead><tbody><tr><td>Network Name</td><td>Chiliz Chain</td></tr><tr><td>RPC endpoint</td><td>Recommended:<br><a href="https://rpc.ankr.com/chiliz">https://rpc.ankr.com/chiliz</a><br><br>Alternatives:<br><a href="https://chiliz-mainnet.gateway.tatum.io">https://chiliz-mainnet.gateway.tatum.io</a><br><a href="https://chiliz-rpc.publicnode.com">https://chiliz-rpc.publicnode.com</a></td></tr><tr><td>RPC Websocket</td><td>wss://chiliz-rpc.publicnode.com</td></tr><tr><td>Chain ID</td><td>88888</td></tr><tr><td>Currency Symbol</td><td>CHZ</td></tr><tr><td>Chiliz Block Explorer URL</td><td>Recommended:<br><a href="https://chiliscan.com">https://chiliscan.com</a><br><br>Alternative:<br><a href="https://scan.chiliz.com">https://scan.chiliz.com</a></td></tr></tbody></table>
{% endtab %}

{% tab title="Spicy Testnet" %}

<table><thead><tr><th width="253">Parameter</th><th width="312">Value</th></tr></thead><tbody><tr><td>Network Name</td><td>Spicy Testnet</td></tr><tr><td>RPC endpoint</td><td>Recommended:<br><a href="https://spicy-rpc.chiliz.com/">https://spicy-rpc.chiliz.com/</a><br><br>Alternatives:<br><a href="https://chiliz-testnet.gateway.tatum.io">https://chiliz-testnet.gateway.tatum.io</a><br><a href="https://chiliz-spicy-rpc.publicnode.com">https://chiliz-spicy-rpc.publicnode.com</a></td></tr><tr><td>RPC Websocket</td><td>Recommended:<br>wss://spicy-rpc-ws.chiliz.com/<br><br>Alternative:<br>wss://chiliz-spicy-rpc.publicnode.com</td></tr><tr><td>Chain ID</td><td>88882</td></tr><tr><td>Currency Symbol</td><td>CHZ</td></tr><tr><td>Spicy Block Explorer URL</td><td><p>Recommended:<br><a href="https://testnet.chiliscan.com/">https://testnet.chiliscan.com/</a></p><p><br>Alternative:<br><a href="https://spicy-explorer.chiliz.com/">https://spicy-explorer.chiliz.com/</a></p></td></tr></tbody></table>
{% endtab %}
{% endtabs %}

詳しくは [RPC で接続する](/jp/kaihatsu/kihon/chiliz-chain-setsuzoku/rpc-setsuzoku.md) のページをご覧ください。

## testnet トークンの入手

faucet を通じて無料のテスト用 CHZ トークンを入手でき、Chiliz Mainnet 上でテストを行う金銭的リスクなしに Spicy Testnet 上で実験できます。

現在、利用可能な faucet は次の 2 つです:

* [Spicy Faucet](https://spicy-faucet.chiliz.com/)。
* [Tatum's Chiliz Faucet for Testnet](https://tatum.io/faucets/chiliz)。

faucet の詳細については、専用ページをご覧ください:

{% content-ref url="/pages/HxgruYfn0nI9u1d646um" %}
[無料の testnet token を入手する](/jp/kaihatsu/kihon/testnet-token-nyushu.md)
{% endcontent-ref %}

## コントラクトのデプロイと verify

smart contract の構築は、Chiliz Chain 向けの dApp（あるいは実際にはどんなブロックチェーンでも）につながる創造的プロジェクトに不可欠な要素です。

dApp の smart contract を構築したら、**必ず**通過しなければならない 2 つのステップがあります:

1. コントラクトを Chiliz Chain 上にデプロイする。

{% content-ref url="/pages/jN4fbj92Ra1nAzCgJdN6" %}
[Smart Contract をデプロイする](/jp/kaihatsu/kihon/smart-contract-deploy.md)
{% endcontent-ref %}

2. そのコントラクトを verify する。

{% content-ref url="/pages/hBRS9pN8P3M4cJr6vWVT" %}
[Smart Contract を verify する](/jp/kaihatsu/kihon/smart-contract-verify.md)
{% endcontent-ref %}

## Solidity および EVM のバージョン

Chiliz Chain 向けにコントラクトを記述・コンパイルする際は、推奨される Solidity および EVM のバージョンを使用してください:

{% hint style="info" %}
**Chiliz Chain で推奨される Solidity および EVM のバージョン:**

* **Solidity コンパイラのバージョン:** `0.8.30`（またはそれ以下）
* **ターゲット EVM バージョン:** `prague`
  {% endhint %}

## Chiliz Chain Node の実行

自分自身の Chiliz Chain node を実行すると、コントロールとプライバシーが得られますが、より高度な技術的スキルとリソースが求められます。

このページでは、node を起動するために不可欠なパラメータを紹介します:

```bash
docker run \
-v $(pwd)/my-datadir:/datadir \
--name ccv2-node \
-p 8545:8545 \
-p 8546:8546 \
chilizchain/ccv2-geth:latest \
--chiliz \ # for Chiliz Mainnet. Use --spicy for Spicy Testnet.
--datadir=/datadir \
--ipcdisable \
--http \
--http.addr=0.0.0.0 \
--http.api=eth,net,web3,debug,txpool \
--http.port=8545 \
--http.corsdomain="*" \
--http.vhosts="*" \
--ws \
--ws.addr=0.0.0.0 \
--ws.api=eth,net,web3,debug,txpool \
--ws.port=8546 \
--ws.origins="*" \
```

詳しくは、より完全なこちらのページをご確認ください:

{% content-ref url="/pages/RRrihAgbP5zCrOY7AtuZ" %}
[Chiliz Chain Node を実行する](/jp/kaihatsu/kihon/chiliz-chain-setsuzoku/node-jikko.md)
{% endcontent-ref %}

また、Validator node の実行にもご興味があるかもしれません:

{% content-ref url="/pages/etaoGv2HbpZfs4wjUB0I" %}
[Validator node の運営](/jp/gakushu/validator/validator-node-unei.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/jp/hajimeni/kaihatsusha-toolbox.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
